from os import environ

PORT = 8080
DB_URL = (
    environ.get("DATABASE_URL")
    or environ.get("DB_URL")
    or "postgresql://postgres@localhost:5432/discoursio"
)
REDIS_URL = environ.get("REDIS_URL") or "redis://127.0.0.1"
API_BASE = environ.get("API_BASE") or ""
AUTH_URL = environ.get("AUTH_URL") or ""
MODE = environ.get("MODE") or "production"
SENTRY_DSN = environ.get("SENTRY_DSN")
SESSION_SECRET_KEY = environ.get("SESSION_SECRET_KEY") or "!secret"
DEV_SERVER_PID_FILE_NAME = "dev-server.pid"
SESSION_TOKEN_HEADER = "Authorization"
